### Constructor

# Cogl Indices new

#### Declaration [src]

    CoglIndices*
    cogl_indices_new (
      CoglContext* context,
      CoglIndicesType type,
      void* indices_data,
      int n_indices
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `CoglContext`

  No description available.

  The data is owned by the caller of the function.

`type`

  Type: `CoglIndicesType`

  No description available.

`indices_data`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`n_indices`

  Type: `int`

  No description available.

#### Return value

Type: `CoglIndices`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.